//
//  ViewController.swift
//  Desayuno
//
//  Created by Santiago Pavón on 19/04/15.
//  Copyright (c) 2015 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    var myCoffee = ""
    var myCookie = ""
    
    @IBOutlet weak var coffeeButton: UIButton!
    @IBOutlet weak var cookieButton: UIButton!
    
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {

        if let identifier = segue.identifier {
            switch identifier {
            case "Select Coffee":
                if let vc = segue.destinationViewController as? CoffeeSelectorViewController {
                    vc.currentCoffee = myCoffee
                    vc.completionHandler = {(coffee: String) in
                        self.myCoffee = coffee
                        self.setTitle(self.myCoffee, toButton: self.coffeeButton)
                    }
                }
            case "Select Cookie":
                if let vc = segue.destinationViewController as? CookieSelectorViewController {
                    vc.currentCookie = myCookie
                    vc.completionHandler = {(cookie: String) in
                        self.myCookie = cookie
                        self.setTitle(self.myCookie, toButton: self.cookieButton)
                    }
                }
            default:
                break
            }
        }
    }
    
    // MARK: Utilidades
    
    private func setTitle(title: String, toButton button: UIButton) {
        button.setTitle(title == "" ? "Elegir" : "I 😍 \(title)", forState: .Normal)
    }
}

